import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  parentId: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional()
}).strict();
export const CloudFolderSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFolderSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderSumOrderByAggregateInput>;
export const CloudFolderSumOrderByAggregateInputObjectZodSchema = makeSchema();
